Bug 1282011 - first_weekday wrong for hr_HR locale
first_weekday wrong for hr_HR locale
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 03:57 EST by srakitnican
Modified: 2016-05-15 00:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: glibc-2.22-16.fc23, glibc-2.23.1-7.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-15 00:51:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[hr_HR.patch] first_weekday and first_workday patch (418 bytes, patch)
2015-11-14 03:57 EST, srakitnican
no flags Details | Diff
first_weekday-fix.sh (402 bytes, application/x-shellscript)
2015-11-14 05:10 EST, srakitnican
no flags Details
first_weekday-fix.sh (623 bytes, application/x-shellscript)
2016-03-25 10:31 EDT, srakitnican
no flags Details

  None (edit)
Description srakitnican 2015-11-14 03:57:56 EST
Created attachment 1093989 [details]
[hr_HR.patch] first_weekday and first_workday patch

With following configuration (American language and Croatian formats) first weekday in calendar is wrong (Sunday) as should be Monday.

https://en.wikipedia.org/wiki/Workweek_and_weekend#Croatia

$ locale
LANG=en_US.utf8
LC_CTYPE="en_US.utf8"
LC_NUMERIC=hr_HR.utf8
LC_TIME=hr_HR.utf8
LC_COLLATE="en_US.utf8"
LC_MONETARY=hr_HR.utf8
LC_MESSAGES="en_US.utf8"
LC_PAPER=hr_HR.utf8
LC_NAME="en_US.utf8"
LC_ADDRESS="en_US.utf8"
LC_TELEPHONE="en_US.utf8"
LC_MEASUREMENT=hr_HR.utf8
LC_IDENTIFICATION="en_US.utf8"
LC_ALL=

Problem is that first_weekday and first_workday are not defined in LC_TIME section of locale file. I can fix it for myself by applying attached patch and recompiling locale.

# patch /usr/share/i18n/locales/hr_HR < hr_HR.patch
# localedef -v -c -i hr_HR -f UTF-8 hr_HR.UTF-8
Comment 1 srakitnican 2015-11-14 05:10 EST
Created attachment 1093990 [details]
first_weekday-fix.sh

Apply fix automatically with this simple script until upstream is fixed.
Comment 2 Smola 2016-01-23 06:32:10 EST
I did not use the script but have done it manually in F22. For GNOME, a shell quick reload is needed afterwards.
Upgrade to F23 had overwriten the changes so I hope this makes it to F24.
Comment 3 srakitnican 2016-03-25 10:31 EDT
Created attachment 1140318 [details]
first_weekday-fix.sh

New version of patching script addressing recent glibc splitting for Fedora 24.
Comment 4 Fedora Update System 2016-05-11 07:19:48 EDT
glibc-2.22-16.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0e67c88b5
Comment 5 Fedora Update System 2016-05-11 09:56:16 EDT
glibc-2.23.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74
Comment 6 Fedora Update System 2016-05-11 09:56:38 EDT
glibc-2.23.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74
Comment 7 Fedora Update System 2016-05-12 05:34:14 EDT
glibc-2.22-16.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0e67c88b5
Comment 8 Fedora Update System 2016-05-12 05:44:36 EDT
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74
Comment 9 Fedora Update System 2016-05-12 16:53:37 EDT
glibc-2.22-16.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-05-14 19:30:34 EDT
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.